#
# spec file for package kubrick
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kubrick
BuildRequires:  libkdegames4-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(glu)
Summary:        Kubrick is a game based on Rubik's Cube
License:        GPL-2.0+
Group:          Amusements/Games/Logic
Url:            http://www.kde.org
Version:        15.12.1
Release:        0
Source0:        kubrick-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
This package contains the KDE game Kubrick which is based on Rubik's
Cube.


%prep
%setup -q -n kubrick-%{version}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %kde4_makeinstall
  %kde_post_install

%files 
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kde4_bindir}/kubrick
%{_kde4_htmldir}/en/kubrick/
%{_kde4_applicationsdir}/kubrick.desktop
%{_kde4_iconsdir}/hicolor/*/apps/kubrick.*
%{_kde4_appsdir}/kubrick/

%changelog
